package com.ruoyi.jarvis.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import java.util.Date;

/**
 * 超级管理员对象 super_admin
 *
 * @author ruoyi
 */
public class SuperAdmin extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键ID */
    private Long id;

    /** 微信ID */
    @Excel(name = "微信ID")
    private String wxid;

    /** 姓名 */
    @Excel(name = "姓名")
    private String name;

    /** 联盟ID */
    @Excel(name = "联盟ID")
    private String unionId;

    /** 应用密钥 */
    @Excel(name = "应用密钥")
    private String appKey;

    /** 秘密密钥 */
    @Excel(name = "秘密密钥")
    private String secretKey;

    /** 是否激活: 0-否, 1-是 */
    @Excel(name = "是否激活", readConverterExp = "0=否,1=是")
    private Integer isActive;

    /** 是否删除: 0-否, 1-是 */
    @Excel(name = "是否参与订单统计", readConverterExp = "0=否,1=是")
    private Integer isCount;

    /** 接收人（企业微信用户ID，多个用逗号分隔） */
    @Excel(name = "接收人")
    private String touser;

    /** 创建时间 */
    @Excel(name = "创建时间")
    private Date createdAt;

    /** 更新时间 */
    @Excel(name = "更新时间")
    private Date updatedAt;

    public Long getId()
    {
        return id;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public String getWxid()
    {
        return wxid;
    }

    public void setWxid(String wxid)
    {
        this.wxid = wxid;
    }

    public String getName()
    {
        return name;
    }

    public void setName(String name)
    {
        this.name = name;
    }

    public String getUnionId()
    {
        return unionId;
    }

    public void setUnionId(String unionId)
    {
        this.unionId = unionId;
    }

    public String getAppKey()
    {
        return appKey;
    }

    public void setAppKey(String appKey)
    {
        this.appKey = appKey;
    }

    public String getSecretKey()
    {
        return secretKey;
    }

    public void setSecretKey(String secretKey)
    {
        this.secretKey = secretKey;
    }

    public Integer getIsActive()
    {
        return isActive;
    }

    public void setIsActive(Integer isActive)
    {
        this.isActive = isActive;
    }

    public Date getCreatedAt()
    {
        return createdAt;
    }

    public void setCreatedAt(Date createdAt)
    {
        this.createdAt = createdAt;
    }

    public Date getUpdatedAt()
    {
        return updatedAt;
    }

    public void setUpdatedAt(Date updatedAt)
    {
        this.updatedAt = updatedAt;
    }

    public Integer getIsCount()
    {
        return isCount;
    }

    public void setIsCount(Integer isCount)
    {
        this.isCount = isCount;
    }

    public String getTouser()
    {
        return touser;
    }

    public void setTouser(String touser)
    {
        this.touser = touser;
    }
}
